net.sf.jasperreports.engine.fill

## Class FillFunctionContext

- java.lang.Object
- - net.sf.jasperreports.engine.fill.FillFunctionContext

- All Implemented Interfaces:
    FunctionContext

      public class FillFunctionContext
      extends java.lang.Object
      implements FunctionContext

  Version:
    $Id: CastorUtil.java 5880 2013-01-07 20:40:06Z teodord $
  Author:
    Teodor Danciu (teodord@users.sourceforge.net)

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `FillFunctionContext(java.util.Map<java.lang.String,JRFillParameter> parametersMap)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `getParameterValue(java.lang.String parameterName)` Returns the value of a parameter.
    `java.lang.Object` | `getParameterValue(java.lang.String parameterName, boolean ignoreMissing)` Returns the value of a parameter.
    `protected java.util.Map<java.lang.String,java.lang.Object>` | `getParameterValuesMap()` Returns the map of parameter values.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### FillFunctionContext

          public FillFunctionContext(java.util.Map<java.lang.String,JRFillParameter> parametersMap)

  - ### Method Detail

    - #### getParameterValue

          public java.lang.Object getParameterValue(java.lang.String parameterName)

      Returns the value of a parameter.
      Specified by:
        `getParameterValue` in interface `FunctionContext`
      Parameters:
        `parameterName` - the parameter name
      Returns:
        the parameter value

    - #### getParameterValue

          public java.lang.Object getParameterValue(java.lang.String parameterName,
                                           boolean ignoreMissing)

      Returns the value of a parameter.
      Specified by:
        `getParameterValue` in interface `FunctionContext`
      Parameters:
        `parameterName` - the parameter name
        `ignoreMissing` - if set, `null` will be returned for inexisting parameters
      Returns:
        the parameter value

    - #### getParameterValuesMap

          protected java.util.Map<java.lang.String,java.lang.Object> getParameterValuesMap()

      Returns the map of parameter values.
      Returns:
        the map of parameter values

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com